%if (0%{?fedora} == 0 && 0%{?rhel} <= 5)
%global building_for_el5 1
%else
%global building_for_el5 0
%endif

%if (0%{?fedora} >= 17)
%global ruby_abi 1.9.1
%global ruby_appropriate_install_dir %{ruby_vendorlibdir}
%global requires_ruby_devel 1
%global sqlite_pkg rubygem-sqlite3
%else
%global ruby_abi 1.8
%global requires_ruby_devel 0
%global sqlite_pkg ruby-sqlite3
%{!?ruby_sitelib: %global ruby_sitelib %(ruby -rrbconfig -e 'puts Config::CONFIG["sitelibdir"] ')}
%global ruby_appropriate_install_dir %{ruby_sitelib}
%endif

Summary: Simple versioned object-graph persistence layer
Name: ruby-rhubarb
Version: 0.4.3
Release: 7%{?dist}
Group: Applications/System
License: ASL 2.0
URL: http://git.fedorahosted.org/git/grid/rhubarb.git
Source0: https://fedorahosted.org/releases/g/r/grid/%{name}-%{version}.tar.gz
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Requires: %{sqlite_pkg}
Requires: ruby
%if %{?fedora} >= 19
Requires: ruby(release)
%else
Requires: ruby(abi) = %{?ruby_abi}
%endif
Provides: ruby(rhubarb/rhubarb)
BuildRequires: ruby
%if %{requires_ruby_devel}
BuildRequires: ruby-devel
%endif
BuildArch: noarch

%description
Rhubarb is a simple object-graph persistence layer that stores
instances of specially-declared Ruby classes in a SQLite3 database.  
Notably, it supports multiple versions of objects and relationships
and plays nicely with the SPQR object publishing framework.

%prep
%setup -q

%build

%install
%if %{building_for_el5}
rm -rf %{buildroot}
%endif
mkdir -p %{buildroot}/%{ruby_appropriate_install_dir}/rhubarb
mkdir -p %{buildroot}/%{ruby_appropriate_install_dir}/rhubarb/mixins
cp -p -f lib/rhubarb/mixins/*.rb %{buildroot}/%{ruby_appropriate_install_dir}/rhubarb/mixins
cp -p -f lib/rhubarb/*.rb %{buildroot}/%{ruby_appropriate_install_dir}/rhubarb

%if %{building_for_el5}
%clean
rm -rf %{buildroot}
%endif

%files
%if %{building_for_el5}
%defattr(-, root, root, -)
%endif
%doc LICENSE README.rdoc CHANGES TODO VERSION
%{ruby_appropriate_install_dir}/rhubarb/

%changelog
* Wed Mar 27 2013 Vít Ondruch <vondruch@redhat.com> - 0.4.3-7
- Rebuild for https://fedoraproject.org/wiki/Features/Ruby_2.0.0

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild


* Mon Mar 26 2012 willb <willb@redhat> - 0.4.3-5
- F17 packaging fixes.

* Sun Feb 12 2012 willb <willb@redhat> - 0.4.3-4
- Changed SQLite dependency to the gem version on F17.

* Fri Feb 10 2012 willb <willb@redhat> - 0.4.3-3
- Another F17 fix.

* Fri Feb 10 2012 willb <willb@redhat> - 0.4.3-2
- Packaging fixes for F17.

* Thu Feb 9 2012 willb <willb@redhat> - 0.4.3-1
- More fixes for running under Ruby 1.9

* Wed Feb 08 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 0.4.1-3
- Rebuilt for Ruby 1.9.3.

* Wed Feb 8 2012 willb <willb@redhat> - 0.4.2-1
- Fixes for running under Ruby 1.9

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Oct 11 2011 willb <willb@redhat> - 0.4.1-1
- Updated to version 0.4.1, which exclusively includes build workflow improvements

* Wed Sep 21 2011 willb <willb@redhat> - 0.4.0-3
- specfile changes:  conditionalized out all EL5 stuff

* Fri Sep 16 2011 willb <willb@redhat> - 0.4.0-2
- minor specfile changes.

* Wed Jul 6 2011 willb <willb@redhat> - 0.4.0-1
- now works with sqlite3-ruby 1.3.x (BZ 718016)

* Mon Jun 6 2011 willb <willb@redhat> - 0.3.0-3
- installation now preserves file modification times

* Mon Mar 14 2011 willb <willb@redhat> - 0.3.0-2
- fix for object output transformers

* Tue Feb 15 2011 willb <willb@redhat> - 0.3.0-1
- fixed bzs 674432, 674433, 677807

* Wed Sep 15 2010 willb <willb@redhat> - 0.2.7-1
- Updated to version 0.2.7
- fixed problems with hash-valued params in custom queries

* Wed Apr 28 2010 willb <willb@redhat> - 0.2.6-1.0
- Updated to version 0.2.6

* Wed Apr 14 2010 willb <willb@redhat> - 0.2.5-1.0
- Updated to version 0.2.5

* Wed Apr 7 2010 willb <willb@redhat> - 0.2.4-1.0
- Updated to version 0.2.4

* Thu Feb 25 2010 willb <willb@redhat> - 0.2.3-1.0
- updated to version 0.2.3 from source

* Thu Feb 25 2010 willb <willb@redhat> - 0.2.2-2.0
- removed rubygems include 

* Fri Feb  5 2010  <rrat@redhat> - 0.2.0-0.3
- Explicitly list files
- Added ruby(abi) and dependency
- Added ruby build dependency

* Thu Feb  4 2010  <willb@redhat.com> - 0.2.0-0.2
- Post-0.2 cleanups

* Tue Feb  2 2010  <rrati@redhat> - 0.2.0-0.1
- Initial package
